<template>
  <div id="CreateExpense">
   <Navbar/>
   <div class="mt-5">
    <div class="container">
      <div class="row">
        <div class="col-lg-6 col-md-6 col-sm-6">
         <div class="login-box shadow-sm mb-5 bg-white rounded">
          <div class="p-5">
            <h5>Añadir gasto:</h5>
            <form @submit.prevent="addNewExpense">
              <input class="form-control form-input" v-model="expense_name" type="text" name="name" id="expense" placeholder="Expense" required>
              <input class="form-control form-input" v-model="expense_date" type="date" name="date" id="date" placeholder="Date" required>
              <div class="input input-group">
                <div class="input-group-prepend">
                  <span class=" inputCurrency  input-group-text">€</span>
                </div> 
                <input class="form-control form-input" v-model="expense_amount" type="number" min="0" step="0.01" data-number-to-fixed="2" name="amount" id="amount" placeholder="Amount" required>
              </div>
           <div class="mt-4">
               <button type="submit" class="btn btn-primary btn-md w-100">CREAR</button>
             </div>           
           </form>
           <div class="mt-4">
            <button type="button" class="btn btn-outline-warning btn-md w-100"  @click="returnExpenses" >ATRÁS</button>
          </div>           
         </div>
       </div>         
     </div>
     <div class="col-lg-6 col-md-6 col-sm-6 text-right">
      <img src="@/assets/mirage-expenses.png" width="480px;">
    </div>
  </div>
</div>
</div>

</div>
</template>

<script>
  import Navbar from '@/components/Navbar.vue'
  import { mapState, mapGetters } from 'vuex'
  import { RTDB } from '../main.js';

  export default {
    computed:{
      ...mapGetters(['getCodeFamily']),
    },
    name: 'CreateExpense',

    components: {
      Navbar
    },
    data () {
      return {
        expense_created:false,
        expense_name: "",
        expense_amount:0.00,
        expense_date:"",
      };
    },
    methods: {
      addNewExpense (submitEvent) {
      //TODO cambiar CODIGODEFAMILIA por el verdadero
      RTDB.ref('family/'+this.getCodeFamily+'/expense/'+this.getNextExpenseNumber()).set({
        concept:this.expense_name,
        amount:this.expense_amount,
        date:this.expense_date,
      });
      this.expense_name = '';
      this.expense_amount = 0.00;
      this.expense_date = '';
      this.expense_created=true;
    },
    returnExpenses(){
      console.log("Aqui entro");
      this.$router.push({name:'expense'})
    },
    getNextExpenseNumber (){
      let number=0;
      RTDB.ref('family/'+this.getCodeFamily+'/expense/').on('value',function (snapshot){
        for (let expense in snapshot.val()){
          number = expense;
        }
        console.log(number);
      });
      number++;
      return number;
    }
  },
  created (){
    this.getNextExpenseNumber();
  }
};
</script>
<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.btn-outline-warning {
  color: #009A9A;
  border-color: #009A9A;
}
.btn-outline-warning:hover {
  background-color: #009A9A;
  color: #fafafa;
  border-color: #fafafa;
}
.form-input, .form-input:focus{
  border-color: #3C394A;
  border-bottom-width: 2px;
  border-top: 0;
  border-right: 0;
  border-left: 0;
  border-radius: 0;
  box-shadow: none;
  max-width: 100%;
}
.form-input:focus{
  border-color: #009A9A;
}
.btn-primary {
  color: #fff;
  background-color: #009A9A;
  border-color: #009A9A;
}
.btn-primary:hover{
  background-color: #45b5b5 !important;
}

h5, h3 {
  color: #45b5b5;
  font-weight: bold;
}

.inputCurrency{
  background-color: transparent;
  border:none;
}
.container{
  max-width: 960px;
}
</style>
